
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serializable;
/**
 *
 *
 * @author tmerclub
 * @date 2023-11-09 18:00:43
 */
public class StockPointSku extends BaseModel implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * 库存商品关联skuid
     */
    private Long stockPointSkuId;

    /**
     * 库存点id
     */
    private Long stockPointId;

    /**
     * 库存点类型 1仓库 2门店
     */
    private Integer stockPointType;

    /**
     * spuId
     */
    private Long spuId;

    /**
     * skuid
     */
    private Long skuId;

    /**
     * 当商品为代销商品时，供应商商品skuid
     */
    private Long supplierSkuId;

    /**
     * 状态 1:enable, 0:disable, -1:deleted
     */
    private Integer status;

    /**
     * 库存
     */
    private Long stock;

    /**
     * 仓库类型（仓库才有 0默认仓库，1区域仓库）
     */
    private Integer type;

    /**
     * 库存模式 （门店才有 参考StockModeEnum）
     */
    private Integer stockMode;

    public Integer getStockMode() {
        return stockMode;
    }

    public void setStockMode(Integer stockMode) {
        this.stockMode = stockMode;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getStockPointType() {
        return stockPointType;
    }

    public void setStockPointType(Integer stockPointType) {
        this.stockPointType = stockPointType;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getStock() {
        return stock;
    }

    public void setStock(Long stock) {
        this.stock = stock;
    }

    public Long getStockPointSkuId() {
        return stockPointSkuId;
    }

    public void setStockPointSkuId(Long stockPointSkuId) {
        this.stockPointSkuId = stockPointSkuId;
    }

    public Long getStockPointId() {
        return stockPointId;
    }

    public void setStockPointId(Long stockPointId) {
        this.stockPointId = stockPointId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getSupplierSkuId() {
        return supplierSkuId;
    }

    public void setSupplierSkuId(Long supplierSkuId) {
        this.supplierSkuId = supplierSkuId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "StockPointSku{" +
                "stockPointSkuId=" + stockPointSkuId +
                ", stockPointId=" + stockPointId +
                ", stockPointType=" + stockPointType +
                ", spuId=" + spuId +
                ", skuId=" + skuId +
                ", supplierSkuId=" + supplierSkuId +
                ", status=" + status +
                ", stock=" + stock +
                ", type=" + type +
                ", stockMode=" + stockMode +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
